/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:extern.h 12.0$ */
/* $ACIS:extern.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/rvd/server/RCS/extern.h,v $ */

#if !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS)
static char *rcsidextern = "$Header:extern.h 12.0$";
#endif


/* Copyright 1984 by the Massachusetts Institute of Technology */
/* See permission and disclaimer notice in the file "notice.h" */
#include "notice.h"

/* External declarations */

extern	struct conn *cn_new();
extern	struct conn *cn_unique();
extern	struct conn *cn_lookup();
extern	char	*obj_alloc();
extern	struct rvd_pkt *pkt_alloc();
extern	unsigned pkt_check();
extern	struct qelem *remque();
extern	int	net_init();
extern	struct rvd_pkt *net_recv();
extern	struct virtd *vd_lookup();
extern	struct	physd *pd_lookup();
extern	boolean pd_vddel();
extern	u_long read_check();
extern	u_long write_check();
extern	struct msg *ctl_msg();
extern	struct item *ctl_item();
extern	boolean ctl_check();
extern	int	pd_add();
extern	int	pd_use();
extern	int	pd_duse();
extern	int	vd_add();
extern	int	pd_del();
extern	int	vd_del();
extern	int	vd_mod();
extern	int	vd_exch();
extern	int	cn_vdown();
extern	int	cn_hdown();
extern	int	cn_vdisp();
extern	int	cn_adisp();
extern	int	cn_modes();
extern	int	ctl_lext();
extern	int	ctl_lall();
extern	int	ctl_ltrunc();
extern	int	ctl_llev();
extern	int	ctl_shut();
extern	int	ctl_setm();
extern	int	ctl_getm();
extern	int	ctl_rauth();
extern	boolean	authorized();
extern	char	*auth_to_user();
extern	char	*ctime();
extern	char	*calloc();
extern	char	*malloc();
extern	char	*strcpy();
extern	char	*strcat();
extern	char	*strncpy();
extern	char	*strncat();
extern	off_t	lseek();
extern	struct passwd *getpwuid();
extern	char	*crypt();
extern	void	update();
extern	u_long	inet_addr();		/* MANUAL IS WRONG! */

extern	char	*sys_errlist[];		/* system error messages */
extern	int	sys_nerr;		/* number of system error codes */
extern	int	errno;			/* system error code */
extern	char	*rvdmaster;		/* rvd master file name */
extern	char	*rvdrestart;		/* rvd restart file name */
extern	char	bigbuf[];		/* big data buffer */
extern	int	gmodes;			/* current  global spinup mode mask */
extern	int	gmodes_orig;		/* original global spinup mode mask */
extern	u_long	now;			/* current time (approx) */
extern	int	requests_enabled;	/* received a require_authorization? */
extern	struct in_addr	localhost;	/* address of server */
extern	char	version_s1[];		/* The RVD version string, part 1. */
extern	char	version_s2[];		/* The RVD version string, part 2. */
extern  int	rw_qlength;		/* Current r/w queue length. */
extern  int	max_qlength;		/* Maximum r/w queue length. */
extern  int	rw_qsize[];		/* Queue length histogram. */
extern  int	restart_flag;		/* Restart server on bughalt flag. */
